@import url("https://fonts.verwaltungsportal.de/import/?family=Barlow:400,400i,600,600i,700,700i");
@import url("https://fonts.verwaltungsportal.de/import/?family=Open+Sans:400,400i");

html {
	max-width: 1930px;
	margin-left: auto;
	margin-right: auto;
	background: linear-gradient(to bottom, #d0f0fb, transparent 400px), linear-gradient(to top, #d0f0fb, transparent 500px), #f8f8f8;
	scroll-behavior: smooth;
	scroll-padding-top: 100px;
	scrollbar-color: #2d2d2d #ffffff;
	scrollbar-width: thin;
}

body {
	font-family: "Barlow", sans-serif;
	font-weight: 400;
	color: #2d2d2d;
	font-size: clamp(1rem, 2vw, 1.125rem);
	/* 1rem = 16px */
	line-height: 1.5;
	isolation: isolate;
   hyphens: auto;
}

a {
	color: #15846c;
}

a:is(:hover, :focus) {
	color: #15846c;
	text-decoration: underline;
}

/* .linkUnderline a:not(.has-image, .shareButtonLink) {
	text-decoration: underline;
	text-decoration-thickness: 1px;
	text-underline-offset: 3px;
	transition: text-decoration 300ms;
}

.linkUnderline a:not(.has-image, .shareButtonLink):is(:hover, :focus) {
	text-decoration-color: transparent;
} */

:focus-visible {
	outline: 3px solid currentColor;
	outline-offset: 2px;
}

b,
strong {
	font-weight: 700;
}

.rowGap {
	row-gap: 30px;
}

.flexColumn {
	flex-direction: column;
	display: flex;
}

/* ------------------------------------------------- topbar ------------------------------------------------ */

#topbar {
	padding-block: 20px;
	isolation: isolate;
}

#logo {
	display: inline-block;
}

#logo img {
	display: block;
}

@media (max-width: 991px) {
	#logo img {
		max-width: 310px;
		width: 100%;
	}
}

@media (min-width: 992px) {
	#topbar {
		padding-block: 40px;
	}
	#logo {
		margin-bottom: -45px;
	}
	#topRight > * {
		padding-right: 30px;
	}
	#style {
		font-size: 0;
		display: flex;
		gap: 15px;
		flex-wrap: wrap;
		margin-bottom: 15px;
	}
	#style button {
		border: none;
		color: #fff;
		display: inline-block;
		min-width: 2.125rem;
		aspect-ratio: 1;
		height: 100%;
		font-weight: 400;
		text-align: center;
		background-color: #32699f;
		position: relative;
		line-height: 0;
		padding: 0 !important;
		transition: background 300ms;
		font-size: 1.125rem;
		font-family: "Open Sans", sans-serif;
	}
	#style button + button {
		font-size: 1.25rem;
	}
	#style button + button + button {
		font-size: 1.375rem;
	}
	#style button:hover {
		background: #15846c;
	}
	#style button:focus-visible {
		outline: 2px auto;
	}
}

#slogan2 {
	background: #32699f;
	padding-block: 10px;
	position: relative;
}

#slogan2::after {
	content: "";
	position: absolute;
	z-index: -1;
	background: #32699f;
	inset: 0 0 0 -100vw;
}

/* ----------------------------------------- navigation ----------------------------------------- */

/* burgermenu for tablet */

@media (max-width: 991px) {
	#burgerButton {
		font-size: 0;
		border: none !important;
		display: block;
		height: 50px;
		width: 60px;
		border-radius: 2px;
		padding: 6px 8px;
		cursor: pointer;
		background-color: #ffffff;
		box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.08);
	}

	#burgerButton::before,
	#burgerButton::after,
	#burgerButtonInner {
		background-color: #32699f;
		border-radius: 2px;
		position: absolute;
		width: 40px;
		height: 3px;
		left: 10px;
		transition:
			transform 200ms linear,
			opacity 200ms linear;
		display: block;
	}

	.contrast_dark_font #burgerButton::before,
	.contrast_dark_font #burgerButton::after,
	.contrast_dark_font #burgerButtonInner {
		background-color: #000 !important;
	}
	.contrast_light_font #burgerButton::before,
	.contrast_light_font #burgerButton::after,
	.contrast_light_font #burgerButtonInner {
		background-color: #fff !important;
	}

	#burgerButton[aria-expanded="true"] #burgerButtonInner {
		transform: rotate(-45deg) translate(-6px, 6px);
	}

	#burgerButton[aria-expanded="true"]::before {
		opacity: 0;
	}

	#burgerButton[aria-expanded="true"]:after {
		transform: rotate(45deg) translate(-4px, -6px);
	}

	#burgerButtonInner {
		top: 16px;
	}

	#burgerButton::before {
		top: 24px;
		content: "";
	}

	#burgerButton::after {
		top: 32px;
		content: "";
	}

	.navbar-nav {
		margin: 20px 0;
	}

	.navbar-collapse {
		width: calc(100% - 90px);
		max-width: 300px;
		top: 0;
		background: #32699f;
		position: fixed;
		left: -100%;
		bottom: 0;
		z-index: 100;
		height: auto !important;
		opacity: 0;
		pointer-events: none;
		visibility: hidden;
		overflow-y: auto;
		transition:
			left 300ms linear,
			opacity 300ms linear,
			box-shadow 600ms linear;
		box-shadow: 250px 0 50vw 50vw rgba(255, 255, 255, 0);
	}

	.navbar-collapse:is([aria-expanded="true"], .in) {
		left: 0;
		opacity: 1;
		pointer-events: auto;
		visibility: visible;
		box-shadow: 250px 0 50vw 50vw rgba(0, 0, 0, 0.6);
	}

	.navbar-header {
		position: fixed;
		top: 15px;
		right: 15px;
		z-index: 101;
	}

	.dropdown-toggle-button-wrapper {
		top: 2px;
	}

	.dropdown-toggle-button-wrapper2 {
		top: 3px;
	}
}

/* menu desktop */

@media (min-width: 992px) {
	nav.navbar {
		background: #32699f;
		padding: 10px 15px;
		width: 100%;
	}

	nav.navbar .navbar-nav > li {
		display: block !important;
		width: 100%;
		float: none;
	}

	.navbar-default .navbar-nav li:is([class*="toplevel"], [class*="secondlevel"]):focus-within > ul {
		display: block;
	}
}

/* toplevel */

nav.navbar a[class*="toplevel"] {
	color: #fff;
	font-weight: 400;
	text-align: left;
	padding: 8px 15px 8px 15px;
	position: relative;
	font-size: 1.125rem;
	line-height: 1.2;
	text-decoration: none;
	text-transform: uppercase;
	position: relative;
}

nav.navbar a[class*="toplevel"]::before {
	content: "";
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	left: -15px;
	height: 24px;
	width: calc(24px / 2);
	background: #fff;
	clip-path: polygon(100% 50%, 0 0, 0 100%);
	opacity: 0;
}

@media (max-width: 991px) {
	nav.navbar a[class*="toplevel"].dropdown-toggle {
		padding-right: 35px;
	}
}

nav.navbar li[class*="toplevel"]:not(:first-child) {
	border-top: 1px solid rgba(255, 255, 255, 0.2);
}

/* toplevel-over */

nav.navbar li[class*="toplevel"]:is(:hover, :focus-within) > a::before,
nav.navbar li[class*="toplevel"] > a:is(:hover, :focus)::before,
nav.navbar li[class*="toplevel"].open > a::before,
nav.navbar li[class*="toplevel"].open > a:is(:hover, :focus)::before,
nav.navbar li[class*="toplevel"][class*="_over"] > a::before,
nav.navbar li[class*="toplevel"][class*="_over"] > a:is(:hover, :focus)::before {
	opacity: 1;
}

/* secondlevel + thirdlevel dropdown-box */

nav.navbar [class*="toplevel"] ul {
	padding: 0;
	background-color: #5d89b3;
}

nav.navbar [class*="secondlevel"] > ul {
	background-color: #32699f;
	margin: 0 10px;
}

@media (max-width: 991px) {
	nav.navbar [class*="secondlevel"] > ul {
		padding: 10px;
	}
}

nav.navbar li:is([class*="_over"], [class*="open"]) > .dropdown-menu {
	display: block !important;
}

/* secondlevel + thirdlevel */

nav.navbar a:is([class*="secondlevel"], [class*="thirdlevel"]) {
	color: #fff;
	font-weight: normal;
	text-align: left;
	position: relative;
	font-size: 1rem;
	line-height: 1.2;
	text-decoration: none;
	padding: 8px 15px 8px 35px;
}

@media (max-width: 991px) {
	nav.horizontally a[class*="secondlevel"].dropdown-toggle2 {
		padding-right: 35px;
	}
}

nav.navbar a[class*="thirdlevel"] {
	padding: 8px 15px 8px 45px;
}

/* nav.navbar a:is([class*="secondlevel"], [class*="thirdlevel"])::before {
	content: "- ";
} */

nav.navbar a:is([class*="secondlevel"], [class*="thirdlevel"])::after {
	content: "";
	display: block;
	position: absolute;
	left: 10px;
	top: 50%;
	transform: translateY(-50%);
	width: 10px;
	height: 10px;
	border-radius: 50%;
	opacity: 0;
	background: #fff;
}

nav.navbar a[class*="thirdlevel"]::after {
	left: 20px;
}

/* secondlevel + thirdlevel over */

nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]):is(:hover, :focus-within) > a,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]) > a:is(:hover, :focus),
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a:is(:hover, :focus),
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a:is(:hover, :focus) {
	background-color: transparent;
}

nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]):is(:hover, :focus-within) > a::after,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]) > a:is(:hover, :focus)::after,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a::after,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"]).open > a:is(:hover, :focus)::after,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a::after,
nav.navbar li:is([class*="secondlevel"], [class*="thirdlevel"])[class*="_over"] > a:is(:hover, :focus)::after {
	opacity: 1;
}

/* ------------------------------------------------ content ----------------------------------------------- */

main {
	text-align: left;
	padding-block: 20px 25px;
}

#content {
	background: #fff;
	box-shadow: 0px 0px 10px 0px rgba(21, 21, 21, 0.1);
	padding: 50px 30px;
}

main > .row > * > * {
	height: 100%;
}

/* -------------------------------------- h1 - h6, newslink ------------------------------------- */

.h4link a:is(:link, :hover, :focus, :visited),
h6,
h5,
h4,
h3,
h2,
h1 {
	color: #32699f;
	font-weight: 600;
	line-height: 1.2;
	font-family: "Barlow", sans-serif;
	text-transform: uppercase;
}

h1,
.h1,
.legacy_h1 {
	font-size: clamp(1.4375rem, 5.5vw, 1.5625rem);
}

h2,
.h2,
.legacy_h2 {
	font-size: clamp(1.375rem, 5vw, 1.5rem);
}

h3,
.h3,
.legacy_h3 {
	font-size: clamp(1.3125rem, 4.5vw, 1.4375rem);
}

h4,
.h4,
.h4link a:is(:link, :hover, :focus, :visited) .legacy_h4 {
	font-size: clamp(1.25rem, 4vw, 1.375rem);
}

h5,
.h5,
.legacy_h5 {
	font-size: clamp(1.1875rem, 3.5vw, 1.3125rem);
}

h6,
.h6,
.legacy_h6 {
	font-size: clamp(1.125rem, 3vw, 1.25rem);
}

/* ----------------------------------------------- @5f footer ----------------------------------------------- */

#footerTabs {
	background: #fff;
}

#footerTabs .tab {
	padding: 20px 30px;
	background: url(../img/deko-puzzle.png);
	background-repeat: no-repeat;
	background-position: center right;
}

/* Map -------------------------------------------------------- */

#map :is(iframe, .iframe-wrapper-manual-enabling) {
	width: 100%;
	min-width: 100% !important;
}

#map iframe {
	display: block;
}

/* Full height */
#map :is(iframe, .iframe-wrapper-manual-enabling),
#map .template-page,
#map .template-page > .row {
	height: 100%;
}

/* Map -------------------------------------------------------- */

#f5 {
	padding: 12px 30px;
	background-color: #32699f;
}

@media (min-width: 992px) {
	#f5 {
		background-image: url(../img/bg-vernetzt.png);
		background-repeat: no-repeat;
		background-position: bottom right 30px;
		padding-right: 60px;
	}
	#vernetzt img {
		margin-left: 30px;
	}
}

#besucher {
	background: #fff;
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
	justify-content: space-between;
	font-size: 0.9375rem;
	color: #4778a9;
	padding: 5px 15px;
	box-shadow: inset 0px 2px 2px 0px rgba(36, 36, 36, 0.2);
   max-width: 300px;
   margin: 0 auto;
}

/* --------------------------------------------- innerfooter -------------------------------------------- */


#innerfooter ul {
	padding: 0;
}

#innerfooter li {
	display: inline-block;
}

#innerfooter a {
	color: #ffffff;
	text-decoration: none;
	display: inline-block;
	font-size: 1rem;
	position: relative;
	padding-block: 3px;
}

#innerfooter a::after {
	position: absolute;
	content: "";
	height: 2px;
	background-color: #fff;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	width: 0;
	transition: width 150ms linear;
}

#innerfooter a:hover::after {
	width: 80%;
}

#innerfooter li + li::before {
	content: "";
	margin: 0 6px;
}

@media (min-width: 992px) {
	#innerfooter li + li::before {
		margin: 0 15px;
	}
}

@media (max-width: 991px) {
	#innerfooter li {
		display: block;
		text-align: center;
		padding: 5px;
		margin: 0;
	}

	#innerfooter li + li::before {
		display: none;
	}
}

/* --------------------------------------------- vernetzt -------------------------------------------- */

#vernetzt {
	gap: 15px;
	font-size: 0.875rem;
	color: #ffffff;
   text-align: right;
}

#vernetzt span span {
	display: block;
}
